DIRNAME(1)

NAZWA
dirname - usuwa niekatalogowy przyrostek nazwy pliku

SKŁADNIA
dirname [OPCJA] NAZWA...

OPIS

Wyświetla wszystkie, oprócz ostatniej, rozdzielone ukośnikami składowe NAZWY (otrzymując w ten sposób ścieżkę pliku); jeśli NAZWA nie zawiera /, wyświetla . (oznaczającą bieżący katalog).

-z, --zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

PRZYKŁADY

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> "dir1" po którym występuje "dir2"

dirname stdio.h
    -> "."

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu dirname proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
basename(1), readlink(1)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/dirname>
lub lokalnie, za pomocą info '(coreutils) dirname invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.